version: "3.8"
services:
  web:
    build: .
    ports:
      - "13000:80"
    volumes:
      # 1) Contenuti statici (index.html, js, css, glyphs, sprites…)
      - ./public:/usr/share/nginx/html:ro

      # 2) Basemap planet.pmtiles servito dalla webroot: /tiles/planet.pmtiles
      #    (lascia questo mount se vuoi continuare a usare PMTILES_URL = "tiles/planet.pmtiles")
      - /home/nvme/dockerdata/pmtiles/data:/usr/share/nginx/html/tiles:ro

      # 3) DEM planet.pmtiles OUTSIDE webroot, servito via alias /data/
      #    (punto a TUTTA la cartella; dentro ci sarà /data/planet.pmtiles)
      - /home/nvme/dockerdata/pmtiles/data:/data:ro

    restart: unless-stopped
